Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex.i18n
Class ReplacementTrieNode

    java.lang.Object
      writer2latex.latex.i18n.ReplacementTrieNode

Direct Known Subclasses:
  ReplacementTrie

    public class ReplacementTrieNode

extends java.lang.Object

This class contains a node in a trie of string -> LaTeX code replacements

Field Summary
`private ReplacementTrieNode` | `brother`
`private char` | `cLetter`
`private int` | `nFontencs`
`private int` | `nInputLength`
`private java.lang.String` | `sLaTeXCode`
`private ReplacementTrieNode` | `son`

Constructor Summary
`ReplacementTrieNode(char cLetter, int nInputLength)`

Method Summary
`protected void` | `appendChild(ReplacementTrieNode node)`
`protected void` | `appendSibling(ReplacementTrieNode node)`
`protected ReplacementTrieNode` | `get(java.lang.String sInput, int nStart, int nEnd)`
`protected ReplacementTrieNode` | `getChildByLetter(char cLetter)`
`protected ReplacementTrieNode` | `getFirstChild()`
`int` | `getFontencs()`
`int` | `getInputLength()`
`java.lang.String` | `getLaTeXCode()`
`char` | `getLetter()`
`protected ReplacementTrieNode` | `getNextSibling()`
`protected void` | `put(java.lang.String sInput, java.lang.String sLaTeXCode, int nFontencs)`
`protected void` | `setFontencs(int nFontencs)`
`protected void` | `setLaTeXCode(java.lang.String sLaTeXCode)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cLetter

    private char cLetter

### nInputLength

    private int nInputLength

### sLaTeXCode

    private java.lang.String sLaTeXCode

### nFontencs

    private int nFontencs

### son

    private ReplacementTrieNode son

### brother

    private ReplacementTrieNode brother

Constructor Detail

### ReplacementTrieNode

    public ReplacementTrieNode(char cLetter,
                               int nInputLength)

Method Detail

### getLetter

    public char getLetter()

### getInputLength

    public int getInputLength()

### getLaTeXCode

    public java.lang.String getLaTeXCode()

### getFontencs

    public int getFontencs()

### setLaTeXCode

    protected void setLaTeXCode(java.lang.String sLaTeXCode)

### setFontencs

    protected void setFontencs(int nFontencs)

### getFirstChild

    protected ReplacementTrieNode getFirstChild()

### getNextSibling

    protected ReplacementTrieNode getNextSibling()

### getChildByLetter

    protected ReplacementTrieNode getChildByLetter(char cLetter)

### appendChild

    protected void appendChild(ReplacementTrieNode node)

### appendSibling

    protected void appendSibling(ReplacementTrieNode node)

### get

    protected ReplacementTrieNode get(java.lang.String sInput,
                                      int nStart,
                                      int nEnd)

### put

    protected void put(java.lang.String sInput,
                       java.lang.String sLaTeXCode,
                       int nFontencs)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD